What to do when Cococapods repo is out-of-date?

As of CocoaPods 1.0, pod repo update does not happen on pod install by default.

  • How often does Bitrise update the pod repo?
  • What to do when we get a None of your spec sources contain a spec satisfying the dependencies: error?
2 Likes

Hi @JosephLin :wave:

You should use the official CocoaPods Install step, that takes care of updating the spec.

2 Likes

Every weekend.

Thanks that worked!

1 Like

Awesome, thanks for reporting! :wink:

A post was split to a new topic: CocoaPods : Unable to satisfy the following requirements

Hey @viktorbenei,

I’m using the Install Cocoapods step but I’m finding that it is doing a full pod repo update and does not appear to be using the weekly updated cache. Specifically, it’s not finding this pod: Pipeline, 1.2 which has been published for quite some time. Am I missing something here? Thanks!

Patrick

@PatrickGoley can you please copy paste the whole log of the CocoaPods Install step? From the step’s header to its footer.